#
# spec file for package xfsdump (Version 1.0.9)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  attr attr-devel autoconf automake e2fsprogs-devel libtool xfsprogs xfsprogs-devel
# usedforbuild    aaa_base aaa_dir attr attr-devel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs e2fsprogs-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xfsprogs xfsprogs-devel

Name:         xfsdump
Group:        System Environment/Base
Provides:     xfsdump
Requires:     xfsprogs
Autoreqprov:  on
Summary:      Administrative utilities for the XFS filesystem
Version:      1.0.9
Release:      82
Source0:      %{name}-%{version}.tar.bz2
Patch0:       %{name}-%{version}-dirs.patch
Patch1:       %{name}-%{version}-destdir.patch
Url:          http://oss.sgi.com/projects/xfs/
BuildRoot:    %{_tmppath}/%{name}-root
Copyright:    Copyright (C) 2000 Silicon Graphics, Inc.

%description                                                         
The xfsdump package contains xfsdump, xfsrestore and a number of
other utilities for administering XFS filesystems.
xfsdump examines files in a filesystem, determines which need to be
backed up, and copies those files to a specified disk, tape or other
storage medium.  It uses XFS-specific directives for optimizing the
dump of an XFS filesystem, and also knows how to backup XFS extended
attributes.  Backups created with xfsdump are "endian safe" and can
thus be transfered between Linux machines of different architectures
and also between IRIX machines.
xfsrestore performs the inverse function of xfsdump; it can restore a
full backup of a filesystem.  Subsequent incremental backups can then
be layered on top of the full backup.  Single files and directory
subtrees may be restored from full or partial backups.

Authors:
--------
    SGI

SuSE series: ap

%prep
%setup 
%patch0
%patch1

%build
%{suse_update_config -f}
autoconf
CFLAGS=$RPM_OPT_FLAGS
mkdir -p $RPM_BUILD_ROOT
./configure 
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{name}
%defattr(-,root,root)
%doc /usr/share/doc/packages/xfsprogs/xfsdump
%doc %{_mandir}/man8/xfs_copy.8.gz
%doc %{_mandir}/man8/xfs_estimate.8.gz
%doc %{_mandir}/man8/xfs_fsr.8.gz
%doc %{_mandir}/man8/xfsdq.8.gz
%doc %{_mandir}/man8/xfsdump.8.gz
%doc %{_mandir}/man8/xfsinvutil.8.gz
%doc %{_mandir}/man8/xfsrestore.8.gz
%doc %{_mandir}/man8/xfsrq.8.gz
/usr/bin/xfs_estimate
/usr/bin/xfs_fsr
/usr/bin/xfsdq
/usr/bin/xfsdump
/usr/bin/xfsinvutil
/usr/bin/xfsrestore
/usr/bin/xfsrq.sh

%changelog -n xfsdump
* Tue Aug 21 2001 - ro@suse.de
- added xfsprogs attr attr-devel to neededforbuild
* Tue Aug 21 2001 - adostal@suse.cz
- split xfsdump-1.0.9 from package xfsprogs
- use DESTDIR from %%install (...destdir.patch)
- create  ...dirs.patch
